Package icyllis.modernui.text.method

# Class ScrollingMovementMethod

java.lang.Object
icyllis.modernui.text.method.BaseMovementMethod
icyllis.modernui.text.method.ScrollingMovementMethod

All Implemented Interfaces:
  `MovementMethod`

Direct Known Subclasses:
  `LinkMovementMethod`

@ParametersAreNonnullByDefault public class ScrollingMovementMethod extends BaseMovementMethod
A movement method that interprets movement keys by scrolling the text buffer.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScrollingMovementMethod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `bottom(TextView widget, Spannable buffer)`
  Performs a bottom movement action.
  `protected boolean`
  `down(TextView widget, Spannable buffer)`
  Performs a down movement action.
  `protected boolean`
  `end(TextView widget, Spannable buffer)`
  Performs an end movement action.
  `static MovementMethod`
  `getInstance()`
  `protected boolean`
  `home(TextView widget, Spannable buffer)`
  Performs a home movement action.
  `protected boolean`
  `left(TextView widget, Spannable buffer)`
  Performs a left movement action.
  `protected boolean`
  `lineEnd(TextView widget, Spannable buffer)`
  Performs a line-end movement action.
  `protected boolean`
  `lineStart(TextView widget, Spannable buffer)`
  Performs a line-start movement action.
  `void`
  `onTakeFocus(TextView widget, Spannable text, int dir)`
  `boolean`
  `onTouchEvent(TextView widget, Spannable buffer, MotionEvent event)`
  `protected boolean`
  `pageDown(TextView widget, Spannable buffer)`
  Performs a page-down movement action.
  `protected boolean`
  `pageUp(TextView widget, Spannable buffer)`
  Performs a page-up movement action.
  `protected boolean`
  `right(TextView widget, Spannable buffer)`
  Performs a right movement action.
  `protected boolean`
  `top(TextView widget, Spannable buffer)`
  Performs a top movement action.
  `protected boolean`
  `up(TextView widget, Spannable buffer)`
  Performs an up movement action.

  ### Methods inherited from class icyllis.modernui.text.method.BaseMovementMethod

  `canSelectArbitrarily, handleMovementKey, initialize, leftWord, onGenericMotionEvent, onKeyDown, onKeyUp, rightWord, scrollBottom, scrollDown, scrollLeft, scrollLineEnd, scrollLineStart, scrollPageDown, scrollPageUp, scrollRight, scrollTop, scrollUp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScrollingMovementMethod

    public ScrollingMovementMethod()

- ## Method Details

  - ### getInstance

    public static MovementMethod getInstance()

  - ### left

    protected boolean left(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs a left movement action. Moves the cursor or scrolls left by one character.
    Overrides:
      `left` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### right

    protected boolean right(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs a right movement action. Moves the cursor or scrolls right by one character.
    Overrides:
      `right` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### up

    protected boolean up(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs an up movement action. Moves the cursor or scrolls up by one line.
    Overrides:
      `up` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### down

    protected boolean down(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs a down movement action. Moves the cursor or scrolls down by one line.
    Overrides:
      `down` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### pageUp

    protected boolean pageUp(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs a page-up movement action. Moves the cursor or scrolls up by one page.
    Overrides:
      `pageUp` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### pageDown

    protected boolean pageDown(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs a page-down movement action. Moves the cursor or scrolls down by one page.
    Overrides:
      `pageDown` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### top

    protected boolean top(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs a top movement action. Moves the cursor or scrolls to the top of the buffer.
    Overrides:
      `top` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### bottom

    protected boolean bottom(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs a bottom movement action. Moves the cursor or scrolls to the bottom of the buffer.
    Overrides:
      `bottom` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### lineStart

    protected boolean lineStart(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs a line-start movement action. Moves the cursor or scrolls to the start of the line.
    Overrides:
      `lineStart` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### lineEnd

    protected boolean lineEnd(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs a line-end movement action. Moves the cursor or scrolls to the end of the line.
    Overrides:
      `lineEnd` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### home

    protected boolean home(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs a home movement action. Moves the cursor or scrolls to the start of the line or to the top of the document depending on whether the insertion point is being moved or the document is being scrolled.
    Overrides:
      `home` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### end

    protected boolean end(TextView widget, Spannable buffer)
    Description copied from class: `BaseMovementMethod`
    Performs an end movement action. Moves the cursor or scrolls to the start of the line or to the top of the document depending on whether the insertion point is being moved or the document is being scrolled.
    Overrides:
      `end` in class `BaseMovementMethod`
    Parameters:
      `widget` - The text view.
      `buffer` - The text buffer.
    Returns:
      True if the event was handled.

  - ### onTouchEvent

    public boolean onTouchEvent(TextView widget, Spannable buffer, MotionEvent event)
    Specified by:
      `onTouchEvent` in interface `MovementMethod`
    Overrides:
      `onTouchEvent` in class `BaseMovementMethod`

  - ### onTakeFocus

    public void onTakeFocus(TextView widget, Spannable text, int dir)
    Specified by:
      `onTakeFocus` in interface `MovementMethod`
    Overrides:
      `onTakeFocus` in class `BaseMovementMethod`